<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmBatchListing4 Interface
See Also Members Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : IEdmBatchListing4 Interface

Visual Basic
C#
C++/CLI

Allows you to create a listing of several file, folder, or internal component properties all at once.

NOTE: Click the Members link, located near the top of the topic, to see this interface's methods and properties.

# Syntax

Visual Basic |
--- | ---

    Public Interface IEdmBatchListing4
       Inherits IEdmBatchListing, IEdmBatchListing2, IEdmBatchListing3

C# |
--- | ---

    public interface IEdmBatchListing4 : IEdmBatchListing, IEdmBatchListing2, IEdmBatchListing3

C++/CLI |
--- | ---

    public interface class IEdmBatchListing4 : public IEdmBatchListing, IEdmBatchListing2, IEdmBatchListing3

# Example

Get File References for a File (C#)
Get File References for a File (VB.NET)

# Remarks

This interface extends IEdmBatchListing3 by allowing users to find out if files in their local cache are valid or obsolete.

# See Also

####

IEdmBatchListing4 Members
EPDM.Interop.epdm Namespace